package com.xt.hb.gis.system;

/**
 * 权限校验结果
 * 
 * @author 袁晓冬
 *
 */
public enum AuthResult {
    /** 校验通过 */
    PASS(0, "校验成功"),
    /** 需要登录 */
    LOGIN(10, "请先登录系统"),
    /** 没有功能权限 */
    PERMISSION(20, "没有权限访问，请与管理员联系");
    /** 结果值 */
    private int value;
    /** 消息 */
    private String message;

    private AuthResult(int value, String message) {
        this.value = value;
        this.message = message;
    }

    /**
     * 消息
     * 
     * @return
     */
    public String getMessage() {
        return message;
    }

    /**
     * 验证结果值
     * 
     * @return
     */
    public int getValue() {
        return this.value;
    }

}
